"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns value of given key index from object/array/Map.
 *
 * @ignore
 * @param source is the source to get value from.
 * @param key is the key/index to get value of.
 * @param defaultValue is the default value to return if result is undefined.
 * @returns value of key.
 */
function _get(source, key, defaultValue) {
    const result = source instanceof Map ? source.get(key) : source[key];
    return result === undefined ? defaultValue : result;
}
exports.default = _get;
//# sourceMappingURL=get.js.map