import { Source, Key } from "./types";
/**
 * (Immutable) Sets value of given key/index of object/array/Map. Does not change original object/array/Map.
 * Returns new value.
 *
 * @ignore
 * @param source is the array/object/Map to update.
 * @param key is the key/index to change value of.
 * @param value is the value to set.
 * @returns new object/array/Map.
 */
export default function _set<S extends Source, K extends Key<S>>(source: S, key: K, value: S[K], root?: any): S;
//# sourceMappingURL=set.d.ts.map