import { Source, Key } from "./types";
/**
 * Deletes immutably given key/index from object/array/Map. Original value is not changed.
 *
 * @ignore
 * @param source is the source object/array/Map.
 * @param key is the key to delete.
 * @returns new object/array/Map.
 */
export default function _unset<S extends Source, K extends Key<S>>(source: S, key: K): S | Partial<S>;
//# sourceMappingURL=unset.d.ts.map